
/*--------------------------------------------------------------------*/
/*                                                                    */
/*                                                                    */
/*                                                                    */
/*                                                                    */
/*                                                                    */
/*                                                                    */
/*                                                                    */
/*                                                                    */
/*--------------------------------------------------------------------*/

/*-------------------------*/
/* see HYBERNAT\CMD\DRVR.C */
/*-------------------------*/
ULONG DD_DriveRead( PDCB pDCB, ULONG IOPos, PBYTE pBuf, ULONG Size );
ULONG DD_DriveWrite( PDCB pDCB, ULONG IOPos, PBYTE pBuf, ULONG Size );
ULONG DD_DriveIO( int IOType, PDCB pDCB, ULONG IOPos, PBYTE pBuf, ULONG Size );
ULONG DDW_FixDMABoundary( PDCB pDCB, PBYTE *ppBuf, PULONG pSecCount, PULONG pfTmpBuf);
ULONG DD_GetDriveCount();
ULONG DD_GetDriveInfo( ULONG DriveNum, PDCB pDCB );
ULONG DD_OpenDisk( ULONG DriveNum, PDCB pDCB );
ULONG DD_OpenDskt( ULONG DriveNum, PDCB pDCB );
PVOID DD_AllocMem( ULONG cBytes );
VOID  DD_FreeMem(  PVOID pMem, ULONG cBytes );
INT   puts( PSZ s );
VOID  inport( ULONG Port, PUCHAR pData );
VOID  outport( ULONG Port, UCHAR Data );
VOID  Disable_Interrupts ( ULONG *pCurrIntState );
VOID  Restore_Interrupts ( ULONG IntState );
VOID  PrintTrap( ULONG TrapNum );
